Index: kernel/generic/src/adt/bitmap.c
===================================================================
--- kernel/generic/src/adt/bitmap.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/adt/bitmap.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -39,5 +39,5 @@
 
 #include <adt/bitmap.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <align.h>
 #include <debug.h>
Index: kernel/generic/src/adt/hash_table.c
===================================================================
--- kernel/generic/src/adt/hash_table.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/adt/hash_table.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -40,5 +40,5 @@
 #include <adt/hash_table.h>
 #include <adt/list.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <debug.h>
 #include <mm/slab.h>
Index: kernel/generic/src/console/cmd.c
===================================================================
--- kernel/generic/src/console/cmd.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/console/cmd.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -46,5 +46,5 @@
 #include <print.h>
 #include <panic.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <adt/list.h>
 #include <arch.h>
Index: kernel/generic/src/console/console.c
===================================================================
--- kernel/generic/src/console/console.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/console/console.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -39,5 +39,5 @@
 #include <synch/waitq.h>
 #include <synch/spinlock.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <ddi/irq.h>
 #include <ddi/ddi.h>
Index: kernel/generic/src/console/kconsole.c
===================================================================
--- kernel/generic/src/console/kconsole.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/console/kconsole.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -45,5 +45,5 @@
 #include <print.h>
 #include <panic.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <adt/list.h>
 #include <arch.h>
Index: kernel/generic/src/cpu/cpu.c
===================================================================
--- kernel/generic/src/cpu/cpu.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/cpu/cpu.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -42,5 +42,5 @@
 #include <mm/page.h>
 #include <mm/frame.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <config.h>
 #include <panic.h>
Index: kernel/generic/src/ddi/device.c
===================================================================
--- kernel/generic/src/ddi/device.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/ddi/device.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -35,5 +35,5 @@
  */
 
-#include <arch/types.h>
+#include <typedefs.h>
 #include <ddi/device.h>
 #include <atomic.h>
Index: kernel/generic/src/ddi/irq.c
===================================================================
--- kernel/generic/src/ddi/irq.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/ddi/irq.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -71,5 +71,5 @@
 #include <adt/hash_table.h>
 #include <mm/slab.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <synch/spinlock.h>
 #include <console/console.h>
Index: kernel/generic/src/debug/stacktrace.c
===================================================================
--- kernel/generic/src/debug/stacktrace.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/debug/stacktrace.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -35,5 +35,5 @@
 #include <stacktrace.h>
 #include <interrupt.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <symtab.h>
 
Index: kernel/generic/src/debug/symtab.c
===================================================================
--- kernel/generic/src/debug/symtab.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/debug/symtab.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -40,5 +40,5 @@
 #include <str.h>
 #include <print.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <typedefs.h>
 #include <errno.h>
Index: kernel/generic/src/ipc/event.c
===================================================================
--- kernel/generic/src/ipc/event.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/ipc/event.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -38,5 +38,5 @@
 #include <ipc/event_types.h>
 #include <mm/slab.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <synch/spinlock.h>
 #include <console/console.h>
Index: kernel/generic/src/lib/elf.c
===================================================================
--- kernel/generic/src/lib/elf.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/lib/elf.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -39,5 +39,5 @@
 #include <lib/elf.h>
 #include <debug.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <mm/as.h>
 #include <mm/frame.h>
Index: kernel/generic/src/lib/memstr.c
===================================================================
--- kernel/generic/src/lib/memstr.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/lib/memstr.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -43,5 +43,5 @@
 
 #include <memstr.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <align.h>
 
Index: kernel/generic/src/main/uinit.c
===================================================================
--- kernel/generic/src/main/uinit.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/main/uinit.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -42,5 +42,5 @@
  
 #include <main/uinit.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <proc/thread.h>
 #include <userspace.h>
Index: kernel/generic/src/mm/as.c
===================================================================
--- kernel/generic/src/mm/as.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/mm/as.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -75,5 +75,5 @@
 #include <config.h>
 #include <align.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <syscall/copy.h>
 #include <arch/interrupt.h>
Index: kernel/generic/src/mm/backend_anon.c
===================================================================
--- kernel/generic/src/mm/backend_anon.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/mm/backend_anon.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -47,5 +47,5 @@
 #include <adt/btree.h>
 #include <errno.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <align.h>
 #include <arch.h>
Index: kernel/generic/src/mm/backend_elf.c
===================================================================
--- kernel/generic/src/mm/backend_elf.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/mm/backend_elf.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -38,5 +38,5 @@
 #include <lib/elf.h>
 #include <debug.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <mm/as.h>
 #include <mm/frame.h>
Index: kernel/generic/src/mm/backend_phys.c
===================================================================
--- kernel/generic/src/mm/backend_phys.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/mm/backend_phys.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -38,5 +38,5 @@
 
 #include <debug.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <mm/as.h>
 #include <mm/page.h>
Index: kernel/generic/src/mm/buddy.c
===================================================================
--- kernel/generic/src/mm/buddy.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/mm/buddy.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -41,5 +41,5 @@
 #include <mm/buddy.h>
 #include <mm/frame.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <debug.h>
 #include <print.h>
Index: kernel/generic/src/mm/frame.c
===================================================================
--- kernel/generic/src/mm/frame.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/mm/frame.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -43,5 +43,5 @@
  */
 
-#include <arch/types.h>
+#include <typedefs.h>
 #include <mm/frame.h>
 #include <mm/as.h>
Index: kernel/generic/src/mm/page.c
===================================================================
--- kernel/generic/src/mm/page.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/mm/page.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -63,5 +63,5 @@
 #include <mm/frame.h>
 #include <arch/barrier.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <arch/asm.h>
 #include <memstr.h>
Index: kernel/generic/src/printf/vprintf.c
===================================================================
--- kernel/generic/src/printf/vprintf.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/printf/vprintf.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -38,5 +38,5 @@
 #include <synch/spinlock.h>
 #include <arch/asm.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <typedefs.h>
 #include <str.h>
Index: kernel/generic/src/synch/waitq.c
===================================================================
--- kernel/generic/src/synch/waitq.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/synch/waitq.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -49,5 +49,5 @@
 #include <proc/scheduler.h>
 #include <arch/asm.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <time/timeout.h>
 #include <arch.h>
Index: kernel/generic/src/time/delay.c
===================================================================
--- kernel/generic/src/time/delay.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/time/delay.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -37,5 +37,5 @@
  
 #include <time/delay.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <cpu.h>
 #include <arch/asm.h>
Index: kernel/generic/src/time/timeout.c
===================================================================
--- kernel/generic/src/time/timeout.c	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ kernel/generic/src/time/timeout.c	(revision d99c1d2ba8c7b2c687d430f2e9fd237046606545)
@@ -37,5 +37,5 @@
 
 #include <time/timeout.h>
-#include <arch/types.h>
+#include <typedefs.h>
 #include <config.h>
 #include <panic.h>
